%define basever 435

Name        : musepack-tools
Version     : sv8
Release     : 1.3
Group       : Applications/Multimedia
Summary     : The latest StreamVersion8 encoder
License     : LGPLv2
URL         : http://www.musepack.net/
Source      : http://files.musepack.net/source/musepack_src_r%{basever}.tar.gz
BuildRoot   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake >= 2.2
BuildRequires: autoconf, libtool, doxygen
BuildRequires: cuetools-devel
BuildRequires: libreplaygain-devel

%description
Musepack is an audio compression format with a strong 
emphasis on high quality. It's not lossless, but it is 
designed for transparency, so that you won't be able 
to hear differences between the original wave file 
and the much smaller MPC file.

It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997 
it has rapidly developed and vastly improved and is now at an 
advanced stage in which it contains heavily optimized and patentless code.

This is the latest StreamVersion8 encoder. 
It's needed to encode Wave files to MPC.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
#Obsoletes: libmpcdec-devel <= 1.2.6
#Provides: libmpcdec-devel = 1.2.7

%description devel
Development files for %{name}.

%prep                                                                             
%setup -q -n musepack_src_r%{basever}
sed -i -e's,include src,include,g' docs/Doxyfile

%build
# too much pain to use CMake
autoreconf -vif
%configure
cp -a docs/mainpage.txt include/mainpage.h
doxygen -u docs/Doxyfile
doxygen docs/Doxyfile

%install                                                                          
rm -rf %{buildroot} 
make install DESTDIR=%{buildroot}
#ln -s mpc %{buildroot}%{_includedir}/mpcdec
rm -f %{buildroot}%{_libdir}/libmpcdec.la

%clean                                                                            
rm -rf %{buildroot} 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
                                                                                  
%files                                                                            
%defattr(-,root,root,-)                                                             
%doc
%{_bindir}/*
%{_libdir}/libmpcdec.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/html
%{_includedir}/mpc
#%{_includedir}/mpcdec
%{_libdir}/libmpcdec.so
%{_libdir}/libmpcdec.a

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
